Subject: Re: Quick question

From: Radoslaw Szkodzinski <[email-masked]>
Date: Mon, 13 Feb 2006 19:26:03 +0100

Linus Torvalds wrote:
> 
> Well, since you're telling it to only show excluded files, it will also 
> only show excluded directories.
> 
> Which is admittedly insane. You don't want to exclude directories. Or 
> maybe you do, but then we should add the "/" to the end before we do the 
> exclusion.
> 
> This patch (untested) will never exclude directories. Which may or may not 
> be the right thing. 
> 
> Junio? Others? Comments?
> 

For me it seems to do the right thing, although I have no need to exclude directories.
If I really needed to, I'd say something like:

/excluded_dir/*

in .git/info/exclude, and it would show the files as being excluded.

-- 
GPG Key id:  0xD1F10BA2
Fingerprint: 96E2 304A B9C4 949A 10A0  9105 9543 0453 D1F1 0BA2

AstralStorm